# Record Class CLNValidationRequest

java.lang.Object
java.lang.Record
com.io7m.calino.validation.api.CLNValidationRequest

Record Components:
  `file` - The file
  `source` - The source of the file

public record CLNValidationRequest(CLNFileReadableType file, URI source) extends Record
A request to perform validation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLNValidationRequest(CLNFileReadableType file, URI source)`
  A request to perform validation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `CLNFileReadableType`
  `file()`
  Returns the value of the `file` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `URI`
  `source()`
  Returns the value of the `source` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CLNValidationRequest

    public CLNValidationRequest(CLNFileReadableType file, URI source)
    A request to perform validation.
    Parameters:
      `file` - The file
      `source` - The source of the file

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### file

    public CLNFileReadableType file()
    Returns the value of the `file` record component.
    Returns:
      the value of the `file` record component

  - ### source

    public URI source()
    Returns the value of the `source` record component.
    Returns:
      the value of the `source` record component